Package waffle.windows.auth.impl

## Class WindowsComputerImpl

- java.lang.Object
- - waffle.windows.auth.impl.WindowsComputerImpl

All Implemented Interfaces:
  `IWindowsComputer`

    public class WindowsComputerImpl
    extends Object
    implements IWindowsComputer

Windows Computer.

Author:
  dblock[at]dblock[dot]org

### Constructor Summary

Constructors
`WindowsComputerImpl​(String newComputerName)` Instantiates a new windows computer impl.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getComputerName()` Computer name.
`String[]` `getGroups()` Groups.
`String` `getJoinStatus()` Join status.
`String` `getMemberOf()` Member of (domain).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WindowsComputerImpl

    public WindowsComputerImpl​(String newComputerName)

Instantiates a new windows computer impl.

Parameters:
  `newComputerName` - the new computer name

### Method Detail

#### getComputerName

    public String getComputerName()

Description copied from interface: `IWindowsComputer`
Computer name.

Specified by:
  `getComputerName` in interface `IWindowsComputer`
Returns:
  String.

#### getGroups

    public String[] getGroups()

Description copied from interface: `IWindowsComputer`
Groups.

Specified by:
  `getGroups` in interface `IWindowsComputer`
Returns:
  Array of group names.

#### getJoinStatus

    public String getJoinStatus()

Description copied from interface: `IWindowsComputer`
Join status.

Specified by:
  `getJoinStatus` in interface `IWindowsComputer`
Returns:
  String.

#### getMemberOf

    public String getMemberOf()

Description copied from interface: `IWindowsComputer`
Member of (domain).

Specified by:
  `getMemberOf` in interface `IWindowsComputer`
Returns:
  String.